Name:           xrandr
Version:        1.5.3
Release:        %mkrel 2
Summary:        Primitive command line interface to RandR extension
Group:          System/X11
License:        MIT
Url:            https://xorg.freedesktop.org/
Source:         https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(x11) >= 1.0.0
BuildRequires:  pkgconfig(xrandr) >= 1.1.0.2
BuildRequires:  pkgconfig(xrender) >= 0.9.0.2
BuildRequires:  x11-util-macros >= 1.0.1

%description
Xrandr is a command line application used to set the screen size,
orientation, reflection and/or the active display(s) using the RandR
extension.

%prep
%autosetup -p1

%build
%configure	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make_build

%install
%make_install
# (cg) NB Until we package nickle and cairo-5c (that works) kill this.
rm -f %{buildroot}%{_bindir}/xkeystone

%files
%{_bindir}/%{name}
#%%{_bindir}/xkeystone
%{_mandir}/man1/%{name}.1.*


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 1.5.3-2.mga10
+ Revision: 2230434
- Mageia 10 Mass Rebuild

* Fri Nov 29 2024 daviddavid <daviddavid> 1.5.3-1.mga10
+ Revision: 2119763
- new version: 1.5.3

* Fri Dec 09 2022 ghibo <ghibo> 1.5.2-1.mga9
+ Revision: 1919897
- Update to release 1.5.2

* Tue Mar 22 2022 umeabot <umeabot> 1.5.1-4.mga9
+ Revision: 1819560
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 1.5.1-3.mga8
+ Revision: 1530482
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Thu Aug 29 2019 tv <tv> 1.5.1-2.mga8
+ Revision: 1435013
- new release

* Sun Sep 23 2018 umeabot <umeabot> 1.5.0-2.mga7
+ Revision: 1301966
- Mageia 7 Mass Rebuild

* Wed Feb 24 2016 tv <tv> 1.5.0-1.mga6
+ Revision: 978599
- new release

* Tue Feb 02 2016 umeabot <umeabot> 1.4.3-4.mga6
+ Revision: 932441
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4.3-3.mga5
+ Revision: 745688
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.3-2.mga5
+ Revision: 690759
- Mageia 5 Mass Rebuild

* Tue Aug 05 2014 luigiwalser <luigiwalser> 1.4.3-1.mga5
+ Revision: 659937
- 1.4.3

* Tue Apr 01 2014 tv <tv> 1.4.2-2.mga5
+ Revision: 611040
- new release

* Sat Oct 19 2013 umeabot <umeabot> 1.4.1-2.mga4
+ Revision: 530182
- Mageia 4 Mass Rebuild

* Sat Jul 20 2013 luigiwalser <luigiwalser> 1.4.1-1.mga4
+ Revision: 456565
- 1.4.1

* Sat Feb 23 2013 tmb <tmb> 1.4.0-1.mga3
+ Revision: 400097
- 1.4.0 (full support for RandR 1.4 provided by x11-server 1.13.3-rc1+)

* Mon Jan 14 2013 umeabot <umeabot> 1.3.5-2.20120910.2.mga3
+ Revision: 387352
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 blino <blino> 1.3.5-2.20120910.1.mga3
+ Revision: 292040
- update to git snapshot of 20120910 for provider interfaces support (PRIME multi-gpu support)

* Thu Jun 30 2011 tv <tv> 1.3.5-1.mga2
+ Revision: 116947
- new release

* Thu Jan 20 2011 pterjan <pterjan> 1.3.4-1.mga1
+ Revision: 26595
- imported package xrandr


* Tue Nov 02 2010 Thierry Vignaud <tv@mandriva.org> 1.3.4-1mdv2011.0
+ Revision: 591820
- new release

* Sun Jul 25 2010 Thierry Vignaud <tv@mandriva.org> 1.3.3-1mdv2011.0
+ Revision: 558360
- new release

  + Paulo Ricardo Zanoni <pzanoni@mandriva.com>
    - Remove French xrandr manpage (it is already provided by man-pages-fr)

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3.2-2mdv2010.1
+ Revision: 524464
- rebuilt for 2010.1

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 1.3.2-1mdv2010.0
+ Revision: 436635
- new release

* Tue Aug 11 2009 Thierry Vignaud <tv@mandriva.org> 1.3.1-1mdv2010.0
+ Revision: 415105
- new release

* Wed Apr 01 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.3.0-1mdv2009.1
+ Revision: 363389
- New version 1.3.0

* Sun Feb 01 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.99.4-1mdv2009.1
+ Revision: 336169
- update to new version 1.2.99.4

* Thu Jan 01 2009 Colin Guthrie <cguthrie@mandriva.org> 1.2.99.3-2mdv2009.1
+ Revision: 323201
- Update French man page (thanks to Bernard Siaud alias Troumad)

* Mon Dec 15 2008 Colin Guthrie <cguthrie@mandriva.org> 1.2.99.3-1mdv2009.1
+ Revision: 314619
- New version: 1.2.99.3

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.2.3-2mdv2009.0
+ Revision: 266150
- rebuild early 2009.0 package (before pixel changes)

  + Funda Wang <fwang@mandriva.org>
    - mark lang property

* Mon Apr 14 2008 Thierry Vignaud <tv@mandriva.org> 1.2.3-1mdv2009.0
+ Revision: 193008
- new release

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert to use upstream tarball, build requires and remove non mandatory local patches.

* Thu Jan 17 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.2.2-2mdv2008.1
+ Revision: 154359
- Updated BuildRequires and resubmit package.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jul 05 2007 Colin Guthrie <cguthrie@mandriva.org> 1.2.2-1mdv2008.0
+ Revision: 48476
- New upstream version 1.2.2

* Thu Jun 21 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.2.1-2mdv2008.0
+ Revision: 42324
- fix/improve group: s/development/system/

* Thu Jun 21 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.2.1-1mdv2008.0
+ Revision: 42315
- new upstream version: 1.2.1

  + Colin Guthrie <cguthrie@mandriva.org>
    - Update package description

* Thu May 24 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.2.0-2mdv2008.0
+ Revision: 30793
- add french manpage, translation from Bernard Siaud <liste at siaud.org>
  (closes: #30999)
- fix group owner of manpages (now root:man)


* Wed Feb 28 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.2.0-1mdv2007.0
+ Revision: 127069
- new upstream release supporting the version 1.2 of the RandR X extension
- rebuild to fix cooker uploading
- X11R7.1
- increment release
- Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fill in a couple of missing descriptions

